# SetWebhook - docs

docs / com.github.insanusmokrassar.TelegramBotAPI.requests.webhook / SetWebhook

# SetWebhook

(common) `data class SetWebhook : DataRequest<Boolean>` (source)

### Properties

(common)

#### allowedUpdates

`val allowedUpdates: List<String>?`

(common)

#### certificateFile

`val certificateFile: String?`

(common)

#### maxAllowedConnections

`val maxAllowedConnections: Int?`

(common)

#### requestSerializer

`val requestSerializer: SerializationStrategy<*>`

(common)

#### resultDeserializer

`val resultDeserializer: DeserializationStrategy<Boolean>`

(common)

#### url

`val url: String`

### Functions

(common)

#### method

`fun method(): String`